import { AuthFields } from '@salesforce/core';
import { Dictionary } from '@salesforce/ts-types';
export interface OrgDisplayReturn extends Partial<ScratchOrgFields> {
    username: string;
    id: string;
    accessToken: string;
    instanceUrl: string;
    clientId: string;
    alias?: string;
    password?: string;
    connectedStatus?: string;
    sfdxAuthUrl?: string;
}
export interface ExtendedAuthFields extends AuthFields, OrgListFields, Partial<ScratchOrgFields> {
    signupUsername?: string;
    devHubOrgId?: string;
    isExpired?: boolean;
    connectedStatus?: string;
    attributes?: Dictionary<unknown>;
}
export interface ScratchOrgInfoSObject {
    Id: string;
    CreatedDate: string;
    Status: 'New' | 'Deleted' | 'Active' | 'Error';
    ExpirationDate: string;
    CreatedBy: {
        Username: string;
    };
    Edition: string;
    Namespace?: string;
    OrgName?: string;
    SignupUsername: string;
}
export interface ScratchOrgFields {
    createdBy: string;
    createdDate: string;
    expirationDate: string;
    orgName: string;
    status: string;
    devHubId?: string;
    edition?: string;
    namespace?: string;
    snapshot?: string;
    lastUsed?: Date;
}
export interface OrgListFields {
    isDefaultUsername?: boolean;
    isDefaultDevHubUsername?: boolean;
    defaultMarker?: '(D)' | '(U)';
}
