"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openUrl = exports.camelCaseToTitleCase = exports.getAliasByUsername = void 0;
const core_1 = require("@salesforce/core");
const open = require("open");
const getAliasByUsername = async (username) => {
    const alias = await core_1.Aliases.create(core_1.Aliases.getDefaultOptions());
    const keys = alias.getKeysByValue(username);
    return (keys === null || keys === void 0 ? void 0 : keys.length) ? keys[0] : undefined;
};
exports.getAliasByUsername = getAliasByUsername;
const camelCaseToTitleCase = (text) => {
    return text
        .replace(/(^\w|\s\w)/g, (m) => m.toUpperCase())
        .replace(/([A-Z][a-z]+)/g, ' $1')
        .trim();
};
exports.camelCaseToTitleCase = camelCaseToTitleCase;
const openUrl = async (url) => {
    return open(url);
};
exports.openUrl = openUrl;
//# sourceMappingURL=utils.js.map